Package org.opensaml.saml.saml2.metadata.impl

# Class IDPSSODescriptorImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.signature.AbstractSignableXMLObject
org.opensaml.saml.common.AbstractSignableSAMLObject
org.opensaml.saml.saml2.metadata.impl.RoleDescriptorImpl
org.opensaml.saml.saml2.metadata.impl.SSODescriptorImpl
org.opensaml.saml.saml2.metadata.impl.IDPSSODescriptorImpl

All Implemented Interfaces:
  `AttributeExtensibleXMLObject`, `XMLObject`, `SAMLObject`, `SignableSAMLObject`, `CacheableSAMLObject`, `TimeBoundSAMLObject`, `IDPSSODescriptor`, `RoleDescriptor`, `SSODescriptor`, `SignableXMLObject`

public class IDPSSODescriptorImpl extends SSODescriptorImpl implements IDPSSODescriptor
Concrete implementation of `IDPSSODescriptor`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<AssertionIDRequestService>`
`assertionIDRequestServices`
AssertionID request services for this entity.
`private final XMLObjectChildrenList<AttributeProfile>`
`attributeProfiles`
Attribute profiles supported by this entity.
`private final XMLObjectChildrenList<Attribute>`
`attributes`
Attributes accepted by this entity.
`private final XMLObjectChildrenList<NameIDMappingService>`
`nameIDMappingServices`
NameID mapping services for this entity.
`private final XMLObjectChildrenList<SingleSignOnService>`
`singleSignOnServices`
SingleSignOn services for this entity.
`private XSBooleanValue`
`wantAuthnRequestsSigned`
wantAuthnRequestSigned attribute.

### Fields inherited from interface org.opensaml.saml.saml2.common.CacheableSAMLObject

`CACHE_DURATION_ATTRIB_NAME, CACHE_DURATION_ATTRIB_QNAME`

### Fields inherited from interface org.opensaml.saml.saml2.metadata.IDPSSODescriptor

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME, WANT_AUTHN_REQ_SIGNED_ATTRIB_NAME`

### Fields inherited from interface org.opensaml.saml.saml2.metadata.RoleDescriptor

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, ERROR_URL_ATTRIB_NAME, ID_ATTRIB_NAME, PROTOCOL_ENUMERATION_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.saml.saml2.metadata.SSODescriptor

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.saml.saml2.common.TimeBoundSAMLObject

`VALID_UNTIL_ATTRIB_NAME, VALID_UNTIL_ATTRIB_QNAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`IDPSSODescriptorImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<AssertionIDRequestService>`
`getAssertionIDRequestServices()`
Gets the list of assertion ID request services.
`List<AttributeProfile>`
`getAttributeProfiles()`
Gets the list of attribute profiles supported by this IdP.
`List<Attribute>`
`getAttributes()`
Gets the list of attributes supported by this IdP.
`List<Endpoint>`
`getEndpoints()`
Gets immutable list of endpoints for this role.
`List<Endpoint>`
`getEndpoints(QName type)`
Gets a read-only list of endpoints for this role for the given type.
`List<NameIDMappingService>`
`getNameIDMappingServices()`
Gets the list of NameID mapping services for this service.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`List<SingleSignOnService>`
`getSingleSignOnServices()`
Gets the list of single sign on services for this IDP.
`Boolean`
`getWantAuthnRequestsSigned()`
Checks if the IDP SSO service wants authentication requests signed.
`XSBooleanValue`
`getWantAuthnRequestsSignedXSBoolean()`
Checks if the IDP SSO service wants authentication requests signed.
`void`
`setWantAuthnRequestsSigned(Boolean newWantSigned)`
Sets whether the IDP SSO service wants authentication requests signed.
`void`
`setWantAuthnRequestsSigned(XSBooleanValue wantSigned)`
Sets whether the IDP SSO service wants authentication requests signed.

### Methods inherited from class org.opensaml.saml.saml2.metadata.impl.SSODescriptorImpl

`getArtifactResolutionServices, getDefaultArtifactResolutionService, getManageNameIDServices, getNameIDFormats, getSingleLogoutServices`

### Methods inherited from class org.opensaml.saml.saml2.metadata.impl.RoleDescriptorImpl

`addSupportedProtocol, getCacheDuration, getContactPersons, getErrorURL, getExtensions, getID, getKeyDescriptors, getOrganization, getSignatureReferenceID, getSupportedProtocols, getUnknownAttributes, getValidUntil, isSupportedProtocol, isValid, removeAllSupportedProtocols, removeSupportedProtocol, removeSupportedProtocols, setCacheDuration, setErrorURL, setExtensions, setID, setOrganization, setValidUntil`

### Methods inherited from class org.opensaml.saml.common.AbstractSignableSAMLObject

`equals, hashCode, setSignature`

### Methods inherited from class org.opensaml.xmlsec.signature.AbstractSignableXMLObject

`getSignature, isSigned`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.saml.saml2.common.CacheableSAMLObject

`getCacheDuration, setCacheDuration`

### Methods inherited from interface org.opensaml.saml.saml2.metadata.RoleDescriptor

`addSupportedProtocol, getContactPersons, getErrorURL, getExtensions, getID, getKeyDescriptors, getOrganization, getSupportedProtocols, isSupportedProtocol, removeAllSupportedProtocols, removeSupportedProtocol, removeSupportedProtocols, setErrorURL, setExtensions, setID, setOrganization`

### Methods inherited from interface org.opensaml.saml.common.SignableSAMLObject

`getSignatureReferenceID`

### Methods inherited from interface org.opensaml.xmlsec.signature.SignableXMLObject

`getSignature, isSigned, setSignature`

### Methods inherited from interface org.opensaml.saml.saml2.metadata.SSODescriptor

`getArtifactResolutionServices, getDefaultArtifactResolutionService, getManageNameIDServices, getNameIDFormats, getSingleLogoutServices`

### Methods inherited from interface org.opensaml.saml.saml2.common.TimeBoundSAMLObject

`getValidUntil, isValid, setValidUntil`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### wantAuthnRequestsSigned

@Nullable private XSBooleanValue wantAuthnRequestsSigned
wantAuthnRequestSigned attribute.

### singleSignOnServices

@Nonnull private final XMLObjectChildrenList<SingleSignOnService> singleSignOnServices
SingleSignOn services for this entity.

### nameIDMappingServices

@Nonnull private final XMLObjectChildrenList<NameIDMappingService> nameIDMappingServices
NameID mapping services for this entity.

### assertionIDRequestServices

@Nonnull private final XMLObjectChildrenList<AssertionIDRequestService> assertionIDRequestServices
AssertionID request services for this entity.

### attributeProfiles

@Nonnull private final XMLObjectChildrenList<AttributeProfile> attributeProfiles
Attribute profiles supported by this entity.

### attributes

@Nonnull private final XMLObjectChildrenList<Attribute> attributes
Attributes accepted by this entity.

## Constructor Details

### IDPSSODescriptorImpl

protected IDPSSODescriptorImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getWantAuthnRequestsSigned

@Nullable public Boolean getWantAuthnRequestsSigned()
Checks if the IDP SSO service wants authentication requests signed.

Specified by:
  `getWantAuthnRequestsSigned` in interface `IDPSSODescriptor`
Returns:
  true is signing is desired, false if not

### getWantAuthnRequestsSignedXSBoolean

@Nullable public XSBooleanValue getWantAuthnRequestsSignedXSBoolean()
Checks if the IDP SSO service wants authentication requests signed.

Specified by:
  `getWantAuthnRequestsSignedXSBoolean` in interface `IDPSSODescriptor`
Returns:
  true is signing is desired, false if not

### setWantAuthnRequestsSigned

public void setWantAuthnRequestsSigned(@Nullable Boolean newWantSigned)
Sets whether the IDP SSO service wants authentication requests signed. Boolean values will be marshalled to either "true" or "false".

Specified by:
  `setWantAuthnRequestsSigned` in interface `IDPSSODescriptor`
Parameters:
  `newWantSigned` - true if request should be signed, false if not

### setWantAuthnRequestsSigned

public void setWantAuthnRequestsSigned(@Nullable XSBooleanValue wantSigned)
Sets whether the IDP SSO service wants authentication requests signed.

Specified by:
  `setWantAuthnRequestsSigned` in interface `IDPSSODescriptor`
Parameters:
  `wantSigned` - true if request should be signed, false if not

### getSingleSignOnServices

@Nonnull @Live public List<SingleSignOnService> getSingleSignOnServices()
Gets the list of single sign on services for this IDP.

Specified by:
  `getSingleSignOnServices` in interface `IDPSSODescriptor`
Returns:
  list of single sign on services

### getNameIDMappingServices

@Nonnull @Live public List<NameIDMappingService> getNameIDMappingServices()
Gets the list of NameID mapping services for this service.

Specified by:
  `getNameIDMappingServices` in interface `IDPSSODescriptor`
Returns:
  the list of NameID mapping services for this service

### getAssertionIDRequestServices

@Nonnull @Live public List<AssertionIDRequestService> getAssertionIDRequestServices()
Gets the list of assertion ID request services.

Specified by:
  `getAssertionIDRequestServices` in interface `IDPSSODescriptor`
Returns:
  assertion ID request services

### getAttributeProfiles

@Nonnull @Live public List<AttributeProfile> getAttributeProfiles()
Gets the list of attribute profiles supported by this IdP.

Specified by:
  `getAttributeProfiles` in interface `IDPSSODescriptor`
Returns:
  attribute profiles supported by this IdP

### getAttributes

@Nonnull @Live public List<Attribute> getAttributes()
Gets the list of attributes supported by this IdP.

Specified by:
  `getAttributes` in interface `IDPSSODescriptor`
Returns:
  attributes supported by this IdP

### getEndpoints

@Nonnull @NotLive @Unmodifiable public List<Endpoint> getEndpoints()
Gets immutable list of endpoints for this role.

Specified by:
  `getEndpoints` in interface `RoleDescriptor`
Overrides:
  `getEndpoints` in class `SSODescriptorImpl`
Returns:
  immutable list of endpoints for this role

### getEndpoints

@Nonnull @NotLive @Unmodifiable public List<Endpoint> getEndpoints(@Nonnull QName type)
Gets a read-only list of endpoints for this role for the given type.

Specified by:
  `getEndpoints` in interface `RoleDescriptor`
Overrides:
  `getEndpoints` in class `SSODescriptorImpl`
Parameters:
  `type` - the type of endpoints to retrieve
Returns:
  immutable list of endpoints for this role

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Overrides:
  `getOrderedChildren` in class `SSODescriptorImpl`
Returns:
  ordered list of child elements